program drop _all
capture log close
set more off
log using mlogtestverify, text replace
* mlogtest:     version 1.6.2 1/5/01
* verified:     2/23/01
which mlogtest

* nomocc2
use nomocc2, clear
mlogit occ white ed exper
set seed 25
mlogtest, all
* nomocc2 with basecategory(1)
mlogit occ white ed exper, base(1)
set seed 25
mlogtest, all
* returned values
mat wald = r(wald)
mat list wald
mat lrtest = r(lrtest)
mat list lrtest
mat combine = r(combine)
mat list combine
mat lrcomb = r(lrcomb)
mat list lrcomb
mat hausman = r(hausman)
mat list hausman
mat smhsiao = r(smhsiao)
mat list smhsiao

** gsskidvalue2 example
use gsskidvalue2, clear
mlogit kidvalue female black othrrace anykids degree
set seed 45
mlogtest, all set(black othrrace)

** test with long names
use nomocc2, clear
rename occ occ_stupid_long_varname
rename white white_stupid_long_varname
rename ed ed_stupid_long_varname
rename exper exper_stupid_long_varname
mlogit occ white ed exper
set seed 25
mlogtest, all
use gsskidvalue2, clear
rename kidvalue kidvalue_stupid_long_varname
rename female female_stupid_long_varname
rename black black_stupid_long_varname
rename othrrace othrrace_stupid_long_varname
rename anykids anykids_stupid_long_varname
rename degree degree_stupid_long_varname
mlogit kidvalue female black othrrace anykids degree
set seed 45
mlogtest, all set(black othrrace)

log close

