capture log close
set more off
log using listcoefverify6, replace
* listcoef:     version 1.6.6 2/6/01
* verified:     2/22/01
which listcoef
** unweighted data
** try out most valid combinations of options
use listcoeftest, clear
gen mchilds = childs
recode mchilds 4=3 5=3 6=3 7=3 8=3
label define mchilds 0 "no children" 1 "one child" 2 "two children" 3 "three children"
label values mchilds mchilds
gen zchilds = childs
recode zchilds 0=0 1=0 2=0 3=1 4=2 5=3 6=4 7=5 8=6
gen ctchilds = childs
recode ctchilds 6=5 7=6 8=6
* regress
regress feminist faminc educ liberal childs lesbian
listcoef, help
listcoef faminc
listcoef, pvalue(.01)
listcoef, con
listcoef, std con
* logit
logit feminist faminc educ liberal childs lesbian, nolog
listcoef, help
listcoef educ
listcoef, pvalue(.01)
listcoef, con
listcoef, con rev
listcoef, std con
listcoef, std con rev
listcoef, percent
listcoef, percent rev
* probit
probit feminist faminc educ liberal childs lesbian, nolog
listcoef, help
listcoef educ liberal
listcoef, pvalue(.01)
listcoef, con
listcoef, std con
* cloglog
cloglog feminist faminc educ liberal childs lesbian, nolog
listcoef, help
listcoef educ childs
listcoef, pvalue(.01)
listcoef, con
listcoef, std con
* ologit
ologit liberal feminist faminc educ childs lesbian, nolog
listcoef, help
listcoef educ lesbian
listcoef, pvalue(.01)
listcoef, con
listcoef, con rev
listcoef, std con
listcoef, std con rev
listcoef, percent
listcoef, percent rev
* oprobit
oprobit liberal feminist faminc educ childs lesbian, nolog
listcoef, help
listcoef educ lesbian
listcoef, pvalue(.01)
listcoef, con
listcoef, std con
* mlogit
mlogit mchilds faminc educ liberal lesbian, nolog
listcoef, help
listcoef liberal
listcoef, pvalue(.01)
listcoef, percent
* poisson
poisson liberal feminist faminc educ childs lesbian, nolog
listcoef, help
listcoef faminc
listcoef, con
listcoef, percent
* nbreg
nbreg childs feminist faminc educ, nolog
listcoef, help
listcoef faminc
listcoef, pvalue(.01)
listcoef, con
listcoef, percent
* zip
zip zchilds feminist faminc educ liberal lesbian, /*
*/ inf(feminist faminc educ liberal lesbian) nolog
listcoef, help
listcoef educ
listcoef, pvalue(.01)
listcoef, con
listcoef, percent
* zinb
zinb zchilds faminc educ, inf(faminc educ) nolog
listcoef, help
listcoef educ
listcoef, pvalue(.01)
listcoef, con
listcoef, percent
* clogit
use nelson2.dta, clear
clogit emp cblack cother cimmi coethnic wh rel att, group(myid)
listcoef, help
listcoef wh rel
listcoef, pvalue(.01)
listcoef, rev
listcoef, percent
listcoef, percent rev
* tobit
use nels_censored2.dta, clear
tobit tobiscor bymomed bydaded byincome black hispanic pctlunch, /*
*/ nolog ul(125) ll(75)
listcoef, help
listcoef black bydaded
listcoef, pvalue(.01)
listcoef, con
listcoef, std con
* cnreg
cnreg testscor bymomed bydaded byincome black hispanic pctlunch, /*
*/ censored(censor) nolog
listcoef, help
listcoef black hispanic
listcoef, pvalue(.01)
listcoef, con
listcoef, std con
* intreg
intreg minscor maxscor bymomed bydaded byincome black hispanic pctlunch, nolog
listcoef, help
listcoef black hispanic
listcoef, pvalue(.01)
listcoef, con
listcoef, std con
log close
