capture log close
set more off
log using prcountsverify6, replace
* prcounts: version 1.8.4
* verified:  3/24/01
which prcounts

use couart2.dta, clear

** CHECK RESULTS AGAINST XPOST

*poisson
qui poisson art fem mar kid5 phd ment
    prcounts pois, max(8) plot
    su pois*

    list fem mar kid5 phd ment poisp* in 1

*0=0.141 (probs from XPost)
*1=0.277
*2=0.271
*3=0.176
*4=0.086
*5=0.034
*6=0.011
*7=0.003
*8=0.001

*nbreg
qui nbreg art fem mar kid5 phd ment
    prcounts nbre, max(8) plot
    su nbre*

    list fem mar kid5 phd ment nbrep* in 1

*0=0.250 (probs from XPost)
*1=0.259
*2=0.194
*3=0.126
*4=0.076
*5=0.044
*6=0.024
*7=0.013
*8=0.007

*zip
qui zip art fem mar kid5 phd ment, inf(fem mar kid5 phd ment)
    prcounts zip, max(8) plot
    su zip*

    list fem mar kid5 phd ment zipall0 ziprate in 1

*CHECK ziprate=2.0379527 (-predict-)
*CHECK zipall0=.13393

*zinb
qui zinb art fem mar kid5 phd ment, inf(fem mar kid5 phd ment)
    prcounts zinb, max(8) plot
    su zinb*

capture drop checkvar
predict checkvar
di checkvar[1]
capture drop checkvar
predict checkvar, p
di checkvar[1]

    list fem mar kid5 phd ment zinball0 zinbrate in 1

*CHECK zinbrate=1.9852005 (-predict-)
*CHECK zipall0=.00034825


log close
